# Uses of Class
org.springframework.aop.target.EmptyTargetSource

Packages that use EmptyTargetSource
Package
Description
org.springframework.aop.target
Various `TargetSource` implementations for use with Spring AOP.

## Uses of EmptyTargetSource in org.springframework.aop.target

Fields in org.springframework.aop.target declared as EmptyTargetSource
Modifier and Type
Field
Description
`static final EmptyTargetSource`
EmptyTargetSource.`INSTANCE`
The canonical (Singleton) instance of this `EmptyTargetSource`.
Methods in org.springframework.aop.target that return EmptyTargetSource
Modifier and Type
Method
Description
`static EmptyTargetSource`
EmptyTargetSource.`forClass(Class<?> targetClass)`
Return an EmptyTargetSource for the given target Class.
`static EmptyTargetSource`
EmptyTargetSource.`forClass(Class<?> targetClass, boolean isStatic)`
Return an EmptyTargetSource for the given target Class.